#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Mail
%define		pnam	AuthenticationResults
Summary:	Mail::AuthenticationResults - Object Oriented Authentication-Results Headers
Name:		perl-Mail-AuthenticationResults
Version:	2.20231031
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ebabfd9e0946ca04e9693e3190ee2f2e
URL:		https://metacpan.org/release/Mail-AuthenticationResults/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Exception
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Object Oriented Authentication-Results email headers.

This parser copes with most styles of Authentication-Results header
seen in the wild, but is not yet fully RFC7601 compliant

Differences from RFC7601

key/value pairs are parsed when present in the authserv-id section,
this is against RFC but has been seen in headers added by Yahoo!.

Comments added between key/value pairs will be added after them in the
data structures and when stringified.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Mail/*.pm
%{perl_vendorlib}/Mail/AuthenticationResults
%{_mandir}/man3/*
%changelog
* Sat Jul 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Mail-AuthenticationResults.git;a=log;h=master

* Sun Apr 28 2024 Marcin Krol <hawk@tld-linux.org> 82306ac
- updated to 2.20231031

* Fri Apr 12 2019 Adam Gołębiowski <adamg@pld-linux.org> fbf78ab
- new

